// $Id: mixer.cc,v 1.5 2003/01/07 20:53:08 gordon Exp $	
//
// Copyright (C) 2002 Gordon Fraser <gordon@debian.org>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// See the COPYING file for more details
//

#include "mixer.h"


//----------------------------------------------------------------------
Mixer::Mixer() : 
  num_devices_(0), device_name_("unknown")
{ }

//----------------------------------------------------------------------
Mixer::Mixer(const string& name) : 
  num_devices_(0), device_name_(name)
{ }

//----------------------------------------------------------------------
Mixer::~Mixer()
{ }


//----------------------------------------------------------------------
unsigned Mixer::getNumChannels() const
{
  return num_devices_;
}

//----------------------------------------------------------------------
void Mixer::setNumChannels(unsigned num)
{
  num_devices_ = num;
}

